VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet Class Reference

`User.UserConfigGet` class Structure defines a user configuration for user.get API. More...

List of all members.

## Public Member Functions
| UserConfigGet ()
| Creates a default new instance.
string | GetUsername ()
| User login name.
void | SetUsername (string username)
| User login name.
vmware.appliance.techpreview.localaccounts.UserTypes.UserRole | GetRole ()
| User roles.
void | SetRole (vmware.appliance.techpreview.localaccounts.UserTypes.UserRole role)
| User roles.
string | GetFullname ()
| User full name.
void | SetFullname (string fullname)
| User full name.
vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus | GetStatus ()
| Shows whether the user account is enabled or disabled.
void | SetStatus (vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus status)
| Shows whether the user account is enabled or disabled.
vmware.appliance.techpreview.localaccounts.UserTypes.UserPasswordStatus | GetPasswordstatus ()
| Shows whether the user account is still valid or expired.
void | SetPasswordstatus (vmware.appliance.techpreview.localaccounts.UserTypes.UserPasswordStatus passwordstatus)
| Shows whether the user account is still valid or expired.
string | GetEmail ()
| Email address of the local account.
void | SetEmail (string email)
| Email address of the local account.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`User.UserConfigGet` class Structure defines a user configuration for user.get API.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::UserConfigGet | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetEmail | ( |  | ) | `[inline]`

Email address of the local account.

string vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetFullname | ( |  | ) | `[inline]`

User full name.

override int vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.techpreview.localaccounts.UserTypes.UserPasswordStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetPasswordstatus | ( |  | ) | `[inline]`

Shows whether the user account is still valid or expired.

vmware.appliance.techpreview.localaccounts.UserTypes.UserRole vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetRole | ( |  | ) | `[inline]`

User roles.

vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetStatus | ( |  | ) | `[inline]`

Shows whether the user account is enabled or disabled.

string vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::GetUsername | ( |  | ) | `[inline]`

User login name.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetEmail | ( | string | email | ) | `[inline]`

Email address of the local account.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetFullname | ( | string | fullname | ) | `[inline]`

User full name.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetPasswordstatus | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserPasswordStatus | passwordstatus | ) | `[inline]`

Shows whether the user account is still valid or expired.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetRole | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserRole | role | ) | `[inline]`

User roles.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetStatus | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserAccountStatus | status | ) | `[inline]`

Shows whether the user account is enabled or disabled.

void vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::SetUsername | ( | string | username | ) | `[inline]`

User login name.

override string vmware::appliance::techpreview::localaccounts::UserTypes::UserConfigGet::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UserTypes.cs